TSequenceConfig (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TSequenceConfig

- java.lang.Object
- - com.sleepycat.thrift.TSequenceConfig

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TSequenceConfig>, org.apache.thrift.TBase<TSequenceConfig,TSequenceConfig._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TSequenceConfig
      extends java.lang.Object
      implements org.apache.thrift.TBase<TSequenceConfig,TSequenceConfig._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TSequenceConfig>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TSequenceConfig._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `allowCreate`
    `boolean` | `autoCommitNoSync`
    `int` | `cacheSize`
    `boolean` | `decrement`
    `boolean` | `exclusiveCreate`
    `long` | `initialValue`
    `long` | `maximum`
    `static java.util.Map<TSequenceConfig._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `long` | `minimum`
    `boolean` | `wrap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TSequenceConfig()`
    `TSequenceConfig(TSequenceConfig other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TSequenceConfig other)`
    `TSequenceConfig` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TSequenceConfig that)`
    `TSequenceConfig._Fields` | `fieldForId(int fieldId)`
    `int` | `getCacheSize()`
    `java.lang.Object` | `getFieldValue(TSequenceConfig._Fields field)`
    `long` | `getInitialValue()`
    `long` | `getMaximum()`
    `long` | `getMinimum()`
    `int` | `hashCode()`
    `boolean` | `isAllowCreate()`
    `boolean` | `isAutoCommitNoSync()`
    `boolean` | `isDecrement()`
    `boolean` | `isExclusiveCreate()`
    `boolean` | `isSet(TSequenceConfig._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetAllowCreate()` Returns true if field allowCreate is set (has been assigned a value) and false otherwise
    `boolean` | `isSetAutoCommitNoSync()` Returns true if field autoCommitNoSync is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCacheSize()` Returns true if field cacheSize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetDecrement()` Returns true if field decrement is set (has been assigned a value) and false otherwise
    `boolean` | `isSetExclusiveCreate()` Returns true if field exclusiveCreate is set (has been assigned a value) and false otherwise
    `boolean` | `isSetInitialValue()` Returns true if field initialValue is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMaximum()` Returns true if field maximum is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMinimum()` Returns true if field minimum is set (has been assigned a value) and false otherwise
    `boolean` | `isSetWrap()` Returns true if field wrap is set (has been assigned a value) and false otherwise
    `boolean` | `isWrap()`
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `TSequenceConfig` | `setAllowCreate(boolean allowCreate)`
    `void` | `setAllowCreateIsSet(boolean value)`
    `TSequenceConfig` | `setAutoCommitNoSync(boolean autoCommitNoSync)`
    `void` | `setAutoCommitNoSyncIsSet(boolean value)`
    `TSequenceConfig` | `setCacheSize(int cacheSize)`
    `void` | `setCacheSizeIsSet(boolean value)`
    `TSequenceConfig` | `setDecrement(boolean decrement)`
    `void` | `setDecrementIsSet(boolean value)`
    `TSequenceConfig` | `setExclusiveCreate(boolean exclusiveCreate)`
    `void` | `setExclusiveCreateIsSet(boolean value)`
    `void` | `setFieldValue(TSequenceConfig._Fields field, java.lang.Object value)`
    `TSequenceConfig` | `setInitialValue(long initialValue)`
    `void` | `setInitialValueIsSet(boolean value)`
    `TSequenceConfig` | `setMaximum(long maximum)`
    `void` | `setMaximumIsSet(boolean value)`
    `TSequenceConfig` | `setMinimum(long minimum)`
    `void` | `setMinimumIsSet(boolean value)`
    `TSequenceConfig` | `setWrap(boolean wrap)`
    `void` | `setWrapIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetAllowCreate()`
    `void` | `unsetAutoCommitNoSync()`
    `void` | `unsetCacheSize()`
    `void` | `unsetDecrement()`
    `void` | `unsetExclusiveCreate()`
    `void` | `unsetInitialValue()`
    `void` | `unsetMaximum()`
    `void` | `unsetMinimum()`
    `void` | `unsetWrap()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### allowCreate

          public boolean allowCreate

    - #### autoCommitNoSync

          public boolean autoCommitNoSync

    - #### cacheSize

          public int cacheSize

    - #### decrement

          public boolean decrement

    - #### exclusiveCreate

          public boolean exclusiveCreate

    - #### initialValue

          public long initialValue

    - #### minimum

          public long minimum

    - #### maximum

          public long maximum

    - #### wrap

          public boolean wrap

    - #### metaDataMap

          public static final java.util.Map<TSequenceConfig._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TSequenceConfig

          public TSequenceConfig()

    - #### TSequenceConfig

          public TSequenceConfig(TSequenceConfig other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TSequenceConfig deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TSequenceConfig,TSequenceConfig._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TSequenceConfig,TSequenceConfig._Fields>`

    - #### isAllowCreate

          public boolean isAllowCreate()

    - #### setAllowCreate

          public TSequenceConfig setAllowCreate(boolean allowCreate)

    - #### unsetAllowCreate

          public void unsetAllowCreate()

    - #### isSetAllowCreate

          public boolean isSetAllowCreate()

      Returns true if field allowCreate is set (has been assigned a value) and false otherwise

    - #### setAllowCreateIsSet

          public void setAllowCreateIsSet(boolean value)

    - #### isAutoCommitNoSync

          public boolean isAutoCommitNoSync()

    - #### setAutoCommitNoSync

          public TSequenceConfig setAutoCommitNoSync(boolean autoCommitNoSync)

    - #### unsetAutoCommitNoSync

          public void unsetAutoCommitNoSync()

    - #### isSetAutoCommitNoSync

          public boolean isSetAutoCommitNoSync()

      Returns true if field autoCommitNoSync is set (has been assigned a value) and false otherwise

    - #### setAutoCommitNoSyncIsSet

          public void setAutoCommitNoSyncIsSet(boolean value)

    - #### getCacheSize

          public int getCacheSize()

    - #### setCacheSize

          public TSequenceConfig setCacheSize(int cacheSize)

    - #### unsetCacheSize

          public void unsetCacheSize()

    - #### isSetCacheSize

          public boolean isSetCacheSize()

      Returns true if field cacheSize is set (has been assigned a value) and false otherwise

    - #### setCacheSizeIsSet

          public void setCacheSizeIsSet(boolean value)

    - #### isDecrement

          public boolean isDecrement()

    - #### setDecrement

          public TSequenceConfig setDecrement(boolean decrement)

    - #### unsetDecrement

          public void unsetDecrement()

    - #### isSetDecrement

          public boolean isSetDecrement()

      Returns true if field decrement is set (has been assigned a value) and false otherwise

    - #### setDecrementIsSet

          public void setDecrementIsSet(boolean value)

    - #### isExclusiveCreate

          public boolean isExclusiveCreate()

    - #### setExclusiveCreate

          public TSequenceConfig setExclusiveCreate(boolean exclusiveCreate)

    - #### unsetExclusiveCreate

          public void unsetExclusiveCreate()

    - #### isSetExclusiveCreate

          public boolean isSetExclusiveCreate()

      Returns true if field exclusiveCreate is set (has been assigned a value) and false otherwise

    - #### setExclusiveCreateIsSet

          public void setExclusiveCreateIsSet(boolean value)

    - #### getInitialValue

          public long getInitialValue()

    - #### setInitialValue

          public TSequenceConfig setInitialValue(long initialValue)

    - #### unsetInitialValue

          public void unsetInitialValue()

    - #### isSetInitialValue

          public boolean isSetInitialValue()

      Returns true if field initialValue is set (has been assigned a value) and false otherwise

    - #### setInitialValueIsSet

          public void setInitialValueIsSet(boolean value)

    - #### getMinimum

          public long getMinimum()

    - #### setMinimum

          public TSequenceConfig setMinimum(long minimum)

    - #### unsetMinimum

          public void unsetMinimum()

    - #### isSetMinimum

          public boolean isSetMinimum()

      Returns true if field minimum is set (has been assigned a value) and false otherwise

    - #### setMinimumIsSet

          public void setMinimumIsSet(boolean value)

    - #### getMaximum

          public long getMaximum()

    - #### setMaximum

          public TSequenceConfig setMaximum(long maximum)

    - #### unsetMaximum

          public void unsetMaximum()

    - #### isSetMaximum

          public boolean isSetMaximum()

      Returns true if field maximum is set (has been assigned a value) and false otherwise

    - #### setMaximumIsSet

          public void setMaximumIsSet(boolean value)

    - #### isWrap

          public boolean isWrap()

    - #### setWrap

          public TSequenceConfig setWrap(boolean wrap)

    - #### unsetWrap

          public void unsetWrap()

    - #### isSetWrap

          public boolean isSetWrap()

      Returns true if field wrap is set (has been assigned a value) and false otherwise

    - #### setWrapIsSet

          public void setWrapIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TSequenceConfig._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TSequenceConfig,TSequenceConfig._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TSequenceConfig._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TSequenceConfig,TSequenceConfig._Fields>`

    - #### isSet

          public boolean isSet(TSequenceConfig._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TSequenceConfig,TSequenceConfig._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TSequenceConfig that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TSequenceConfig other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TSequenceConfig>`

    - #### fieldForId

          public TSequenceConfig._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TSequenceConfig,TSequenceConfig._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.